# CvBoostParams Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvBoostParams:

List of all members.

## Public Member Functions

| CvBoostParams ()
| CvBoostParams (int boost_type, int weak_count, double weight_trim_rate, int max_depth, bool use_surrogates, const float *priors)

## Public Attributes

CV_PROP_RW int | boost_type
CV_PROP_RW int | split_criteria
CV_PROP_RW int | weak_count
CV_PROP_RW double | weight_trim_rate

## Constructor & Destructor Documentation

CvBoostParams::CvBoostParams | ( | ) |

CvBoostParams::CvBoostParams | ( | int | boost_type,
|  | int | weak_count,
|  | double | weight_trim_rate,
|  | int | max_depth,
|  | bool | use_surrogates,
|  | const float * | priors
| ) |  |

## Member Data Documentation

CV_PROP_RW int CvBoostParams::boost_type

CV_PROP_RW int CvBoostParams::split_criteria

CV_PROP_RW int CvBoostParams::weak_count

CV_PROP_RW double CvBoostParams::weight_trim_rate

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines